Bug 380951 - Review Request: i2c-tools - A heterogeneous set of I2C tools for Linux
Review Request: i2c-tools - A heterogeneous set of I2C tools for Linux
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 15:47 EST by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 16:07:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-11-13 15:47:02 EST
Spec URL: http://people.atrpms.net/~hdegoede/i2c-tools.spec
SRPM URL: http://people.atrpms.net/~hdegoede/i2c-tools-3.0.0-1.fc9.src.rpm
Description: 
Programs for reading / writing i2c / smbus eeproms. Notice that writing the
eeproms in your system is very dangerous and is likely to render your system
unusable. Do not install, let alone use this, unless you really, _really_ know
what you are doing.

---

Notice to reviewers, this package is split-of from lm_sensors, the lm_sensors 2.10.x series contains these utilities, but starting with lm_sensors-3.0.0 (which will hit rawhide soon) the i2c-tools have been split off into their own tarbal.
Comment 1 Jason Tibbitts 2007-11-17 21:44:00 EST
Does the eepromer package really not need the main package?  I'm going to assume
that's the case, but it seems odd that it wouldn't need the devices that the
main package sets up.

What happened to the decode-xeon.pl script?  And why is decode-edid.pl removed?
 Is it because there's an external dependency?

Other than those questions, I see nothing that needs comment.

Review:
* source files match upstream:
   9fda4ceff4ff6f9e4f45272972f00ac08631d1edb6f5f554c2d085db77ef6b51  
   i2c-tools-3.0.0.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summaries are OK.
* descriptions are OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
  i2c-tools-3.0.0-1.fc9.x86_64.rpm
   i2c-tools = 3.0.0-1.fc9
  =
   /usr/bin/perl
   perl >= 0:5.004
   perl(Fcntl)
   perl(POSIX)
   perl(strict)
   perl(vars)
   udev

  i2c-tools-eepromer-3.0.0-1.fc9.x86_64.rpm
   i2c-tools-eepromer = 3.0.0-1.fc9
  =
   (none)

* %check is not present; no way to test automatically.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 2 Hans de Goede 2007-11-18 04:19:33 EST
(In reply to comment #1)
> Does the eepromer package really not need the main package?  I'm going to assume
> that's the case, but it seems odd that it wouldn't need the devices that the
> main package sets up.
> 

My bad, I forgot about the devices, I'll add a dep before import.

> What happened to the decode-xeon.pl script?

I don't know I've just send a mail upstream asking

> And why is decode-edid.pl removed?

This was already done in the upstream provided specfile I uses as a base, I've
asked why in the same mail.


New Package CVS Request
=======================
Package Name:      i2c-tools
Short Description: A heterogeneous set of I2C tools for Linux
Owners:            jwrdegoede
Branches:          devel only (its part of lm_sensors in F-8 / F-7)
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 3 Kevin Fenzi 2007-11-18 13:54:45 EST
cvs done.
Comment 4 Hans de Goede 2007-11-20 16:07:15 EST
Imported and build, closing.

And thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.